Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.ws.rs.ext
Class RuntimeDelegateImpl

    java.lang.Object
      javax.ws.rs.ext.RuntimeDelegate
          com.sun.ws.rs.ext.RuntimeDelegateImpl

    public class RuntimeDelegateImpl

extends javax.ws.rs.ext.RuntimeDelegate

A default client-based and hardcoded implementation of `RuntimeDelegate` that will be instantiated if all look up mechanisms fail to find an instance.

A hardcoded reference to this class name occurs in the `RuntimeDelegate` class present in the JAX-RS api jar.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary

Nested classes/interfaces inherited from class javax.ws.rs.ext.RuntimeDelegate
`javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>`

Field Summary

Fields inherited from class javax.ws.rs.ext.RuntimeDelegate
`JAXRS_RUNTIME_DELEGATE_PROPERTY`

Constructor Summary
`RuntimeDelegateImpl()`

Method Summary
`
`<T> T`
` | `createEndpoint(javax.ws.rs.core.Application application, java.lang.Class<T> endpointType)`
`
`<T> javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>`
` | `createHeaderDelegate(java.lang.Class<T> type)`
`javax.ws.rs.core.Response.ResponseBuilder` | `createResponseBuilder()`
`javax.ws.rs.core.UriBuilder` | `createUriBuilder()`
`javax.ws.rs.core.Variant.VariantListBuilder` | `createVariantListBuilder()`

Methods inherited from class javax.ws.rs.ext.RuntimeDelegate
`getInstance, setInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeDelegateImpl

    public RuntimeDelegateImpl()

Method Detail

### createUriBuilder

    public javax.ws.rs.core.UriBuilder createUriBuilder()

  Specified by:
    `createUriBuilder` in class `javax.ws.rs.ext.RuntimeDelegate`

### createResponseBuilder

    public javax.ws.rs.core.Response.ResponseBuilder createResponseBuilder()

  Specified by:
    `createResponseBuilder` in class `javax.ws.rs.ext.RuntimeDelegate`

### createVariantListBuilder

    public javax.ws.rs.core.Variant.VariantListBuilder createVariantListBuilder()

  Specified by:
    `createVariantListBuilder` in class `javax.ws.rs.ext.RuntimeDelegate`

### createEndpoint

    public <T> T createEndpoint(javax.ws.rs.core.Application application,
                                java.lang.Class<T> endpointType)
                     throws java.lang.IllegalArgumentException,
                            java.lang.UnsupportedOperationException

  Specified by:
    `createEndpoint` in class `javax.ws.rs.ext.RuntimeDelegate`
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.UnsupportedOperationException`

### createHeaderDelegate

    public <T> javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T> createHeaderDelegate(java.lang.Class<T> type)

  Specified by:
    `createHeaderDelegate` in class `javax.ws.rs.ext.RuntimeDelegate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.